Drupal 7 开发内部培训资料, 分头诗人

使用ckeditor得关闭wysiwyg?

赞成!
0
否决!

图中文字所示需要关闭wysiwyg才能,否则可能会引起错误。wysiwyg不应该算是接口文件么,怎么IMCE, Image Browser等模块结合起来使用也是非常的爽。不过现在,FCKEditor升级了新版本,换了个新皮肤,做了些优化,将名称更改为:CKEditor。安装方式和FCKeditor一模一样,没有任何变化,而且也可以和IMCE集成。">ckeditor还会跟他有冲突呢,因为我还有其他模块需要wysiwyg支持,但是有需要用ckeditor,这可怎么办呢

6 个回答

赞成!
0
否决!

由于之前安装ckeditor时出现了问题,我参考网上的信息进行了这样的设置http://www.houfei.net/drupal-ckeditor-js-errors,不知道我遇到的问题是不是这样的设置引起的?

赞成!
0
否决!

wysiwyg 是一个总括,他包含了很多的文本编辑器,当然,也包含了ckeditor,如果你安装wysiwyg 的话,建议不要再安装ckeditor模块,否则可能引起冲突。

赞成!
0
否决!

谢谢指教,我已经卸载了ckeditor,刚看了下wysiwyg包含的ckeditor,还需要安装一下的,可是界面上有这么一句话即截图中那句do not download the “ckeditor for drupal”edition,那我下载哪个呢,为何反而不建议用这个drupal的版本呢?

下面这张图是我点击“下载”链接后的页面,下面的就是drupal版本的,靠上面那个不知道是什么版本,我的drupal 7到底应该装哪个呢?

这个链接就是图中的那个页面http://ckeditor.com/download

 

谢谢诗人指点

赞成!
0
否决!

ckeditor 有两种意思,一个意思是drupal中有个模块叫ckeditor,另外一个意思是ckeditor编辑器, wysiwyg ckeditor  都支持 ckeditor编辑器。首先你得弄懂这些概念。

赞成!
0
否决!

之前是没搞明白,所以ckeditor的模块和编辑器先后分别装了下,都和wysiwyg有冲突

赞成!
0
否决!

装了wysiwyg后安装ckeditor的库就可以了